#!/bin/bash
# mkdistro_clean.sh
# Este script deve ser executado antes do fechamento da imagem do mainmod
# Primeira utilização deste script em 07/10/2005
# Ultima atualizacao em: 17/05/2006, 16:00 PM
# By Nelson Gomes da SIlveira <ngsilveira@gmail.com>
#
mount -t proc /proc /proc >/dev/null 2>/dev/null
echo
# Gera uma listagem dos programas instalados
echo "Gerando uma listagem dos pacotes instalados..."
dpkg -l > /morphix/instpacks.txt
echo
#echo "Ajustando os dispositivos de cdrom..."
#cd /dev
#[ ! -L cdrom ] && ln -fs hdc /media/cdrom
#[ ! -L cdrom1 ] && ln -fs hdd cdrom1
echo
echo "Verificando a existencia de arquivos orfaos..."
deborphan > orphanedfiles
if [ ! -z "orphanedfiles" ]; then
  echo "Foram encontrados os seguintes arquivos orfaos..."
  cat orphanedfiles
  read -p "Pressione uma tecla para continuar..."
  dialog --title "Orphaned Files" --yesno "\nDeseja eliminar os arquivos orfaos?\n\n" 10 60	
  if [ $? -eq 0 ]; then   
    echo "Limpando arquivos orfaos..."
    deborphan | xargs apt-get -y remove 
    echo
  fi
fi
rm -f orphanedfiles 2>/dev/null
echo
echo "Ajustando proprietario e permissoes do su..."
chown root.root /bin/su
chmod u+s /bin/su
echo "Limpeza dos caches e arquivos temporarios...."
apt-get clean
rm -f /var/cache/apt/*.bin
[ ! -d "/tmp/.X11-unix" ] && mkdir /tmp/.X11-unix 
[ ! -d "/var/cache/apt/list" ] && mkdir /var/cache/apt/list
cd /var/cache/apt/list/
rm -f *
touch lock
cd ..
rm -f *
cd /tmp
rm -f *
echo
echo "Atualizando banco de dados de programas instalados..."
updatedb
umount /proc